Package com.tietoenator.trip.jxp.database

# Enum Class TdbBatchJobType

java.lang.Object
java.lang.Enum<TdbBatchJobType>
com.tietoenator.trip.jxp.database.TdbBatchJobType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbBatchJobType>`, `Constable`

public enum TdbBatchJobType extends Enum<TdbBatchJobType>
Job type of batch job submissions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INDEX`
  Index a database.
  `LOAD`
  Load a TFORM file into a database without indexing.
  `LOAD_INDEX`
  Load a TFORM file into a database and index it normally afterwards.
  `LOAD_REINDEX`
  Load a TFORM file into a database and completely regenerate its indexes afterwards.
  `REINDEX`
  Complete regenerate the indexes of a database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbBatchJobType`
  `fromValue(int value)`
  Get the enum instance that corresponds to a given integer representation.
  `int`
  `getValue()`
  Get the integer representation of the enumerated value
  `static TdbBatchJobType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbBatchJobType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INDEX

    public static final TdbBatchJobType INDEX
    Index a database. Modified and new records will be processed.

  - ### REINDEX

    public static final TdbBatchJobType REINDEX
    Complete regenerate the indexes of a database.

  - ### LOAD

    public static final TdbBatchJobType LOAD
    Load a TFORM file into a database without indexing.

  - ### LOAD_INDEX

    public static final TdbBatchJobType LOAD_INDEX
    Load a TFORM file into a database and index it normally afterwards.

  - ### LOAD_REINDEX

    public static final TdbBatchJobType LOAD_REINDEX
    Load a TFORM file into a database and completely regenerate its indexes afterwards.

- ## Method Details

  - ### values

    public static TdbBatchJobType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbBatchJobType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()
    Get the integer representation of the enumerated value

  - ### fromValue

    public static TdbBatchJobType fromValue(int value) throws TdbException
    Get the enum instance that corresponds to a given integer representation.
    Throws:
      `TdbException` - if an invalid integer was specified